<?php

/**
**
**@hook on activation
**
**/
function ocart_ideal_install() {

	/**
	@ hook into active payment gateways
	@ add this gateway to the list
	@ provide options, settings
	@ this should be provided upon activation only
	**/
	$installed = get_option('occommerce_OC_gateways');
	$installed['ideal'] = array(   'name' => __('iDeal Mollie','ocart'), 
									'paymentname' => __('iDeal via Mollie','ocart'),
									'options' => array( 'enabled', 'partnerid', 'profile_key', 'testmode', 'charge' ), 
									'checkout' => array('title' => __('Payment','ocart'), 'redirect_form' => 1 ) );
		update_option('occommerce_OC_gateways', $installed);

}

/**
**
**@hook on deactivation
**
**/
function ocart_ideal_deactivate() {

	/**
	@should delete it from settings/fields
	**/
	$installed = get_option('occommerce_OC_gateways');
	if (isset($installed['ideal'])) {
		unset($installed['ideal']);
	}
	update_option('occommerce_OC_gateways', $installed);

}

/**
**
**@hook on uninstall
**
**/
function ocart_ideal_uninstall() {

	/**
	@should delete it from settings/fields
	**/
	$installed = get_option('occommerce_OC_gateways');
	if (isset($installed['ideal'])) {
		unset($installed['ideal']);
	}
	update_option('occommerce_OC_gateways', $installed);

}