<?php
/*
Plugin Name: OneCart iDeal Mollie
Plugin URI: http://themeforest.net/item/onecart-ajax-responsive-ecommerce-wordpress-theme/3167538?ref=ThemeFluent
Description: Enables iDeal Mollie payments on your store.
Version: 1.0
Author: ThemeFluent
Author URI: http://themeforest.net/user/ThemeFluent?ref=ThemeFluent
*/

/**
@ globals
**/
define('PLUGIN_OCART_IDEAL_URL',plugin_dir_url(__FILE__ ));
define('PLUGIN_OCART_IDEAL_PATH',plugin_dir_path(__FILE__ ));
define('PLUGIN_OCART_IDEAL_DB_VERSION','1');

/**
@ installation
**/
require_once(PLUGIN_OCART_IDEAL_PATH . 'includes/install.php');

register_activation_hook(__FILE__,'ocart_ideal_install'); 
register_deactivation_hook( __FILE__, 'ocart_ideal_deactivate' );
register_uninstall_hook( __FILE__,'ocart_ideal_uninstall');

/**
@ includes
**/
require_once(PLUGIN_OCART_IDEAL_PATH . 'includes/functions.php');
require_once(PLUGIN_OCART_IDEAL_PATH . 'includes/actions.php');

/**
update missing fields
**/

	$installed = get_option('occommerce_OC_gateways');
	
	$updated_array = array(   'name' => __('iDeal Mollie','ocart'), 
									'paymentname' => __('iDeal via Mollie','ocart'),
									'options' => array( 'enabled', 'partnerid', 'profile_key', 'testmode', 'charge' ), 
									'checkout' => array('title' => __('Payment','ocart'), 'redirect_form' => 1 ) );
									
	if (isset($installed['ideal']) && $installed['ideal'] != $updated_array) {
	
		$installed['ideal'] = $updated_array;
		update_option('occommerce_OC_gateways', $installed);
		
	}