<?php

define( 'WP_USE_THEMES', false );
require('../../../wp-load.php');

global $ocart;

require_once PLUGIN_OCART_IDEAL_PATH.'Mollie/iDEAL/Payment.php';

$partner_id  = $ocart['ideal_partnerid']; // Uw mollie partner ID
$gatewayprofilekey = $ocart['ideal_profile_key'];

# Get Returned Variables - Adjust for Post Variable Names from your Gateway's Documentation
if (isset($_GET['invoiceid'])) {
$invoiceid = urldecode($_GET["invoiceid"]);
} else {
$invoiceid = 0;
}

if (isset($_GET['transaction_id'])) 
{  

	$iDEAL = new Mollie_iDEAL_Payment ($partner_id);
	$iDEAL->setProfileKey($gatewayprofilekey);
	// $iDEAL->setTestMode();
	
	$iDEAL->checkPayment($_GET['transaction_id']);

	if ($iDEAL->getPaidStatus())
	{
	
		/**
		* Successful payment!
		*/
		if ($invoiceid) {
		
		if (!isset($notes)) { $notes = ''; }
		$order_id = $invoiceid;
		
		update_post_meta($order_id, 'payment_status', 'Completed');
		update_post_meta($order_id, 'order_status', 'pending');
		
		wp_mail(get_the_author_meta( 'user_email', get_post_meta($order_id, 'custID', true) ), sprintf(__('[%s] Your Order is Pending','ocart'), get_bloginfo('name')), ocart_email_template('order_pending', $order_id, $notes));

		}
		
	} 
}
