<?php

define( 'WP_USE_THEMES', false );
require('../../../wp-load.php');
  
if (isset($_GET['transaction_id'])) {
  /*
    Via report.php heeft Mollie de betaling al gemeld, en in dat script heeft bij Mollie gecontroleerd 
    wat de betaalstatus is. Deze betaalstatus is in report.php ergens opgeslagen in het systeem (bijv. 
    in de database).
   
    De klant komt bij dit script terug na de betaling. Hier kan dan met behulp van het 'transaction_id' 
    de status van de betaling uit de database gehaald worden en de klant de relevante informatie tonen.
  */

  $head = __('Thank you!','ocart');
  $message = __('Thank you for your payment. Your order has been paid and shall be processed soon.','ocart');

}
else {

  $head = __('Error occured!','ocart');
  $message = __('An error has occured. We cannot complete this payment.','ocart');

}

?>

<?php get_header(); ?>

<?php get_template_part('template','header'); ?>

<div id="blog">
	
	<div class="wrap">
	
		<div class="blog_title">
			<h1><?php echo __('iDeal via Mollie','ocart'); ?></h1>
			<a href="<?php echo home_url(); ?>/" class="blog_store"><?php _e('Back to Store','ocart'); ?></a>
		</div>
		
		<div class="blog_wrap">
			<div class="blog_content blog_content_fullwidth">
			
					<div class="page">
						
						<div class="post-pad">
						<div class="post-content">
							<h1><?php echo $head; ?></h1>
							<?php echo wpautop($message); ?>
						</div>
						</div>
						
					</div>

			</div>
			<div class="clear"></div>
		</div>
	
	</div>
	
</div>

<?php get_template_part('template','footer'); ?>

<?php get_footer(); ?>